## WDS Set LTE Attach PDN List request WDS Set LTE Attach PDN List request |

## Functions

QmiMessageWdsSetLteAttachPdnListInput * | qmi_message_wds_set_lte_attach_pdn_list_input_new ()
QmiMessageWdsSetLteAttachPdnListInput * | qmi_message_wds_set_lte_attach_pdn_list_input_ref ()
void | qmi_message_wds_set_lte_attach_pdn_list_input_unref ()
gboolean | qmi_message_wds_set_lte_attach_pdn_list_input_get_action ()
gboolean | qmi_message_wds_set_lte_attach_pdn_list_input_set_action ()
gboolean | qmi_message_wds_set_lte_attach_pdn_list_input_get_list ()
gboolean | qmi_message_wds_set_lte_attach_pdn_list_input_set_list ()
QmiMessageWdsSetLteAttachPdnListOutput * | qmi_message_wds_set_lte_attach_pdn_list_output_ref ()
void | qmi_message_wds_set_lte_attach_pdn_list_output_unref ()
gboolean | qmi_message_wds_set_lte_attach_pdn_list_output_get_result ()
void | qmi_client_wds_set_lte_attach_pdn_list ()
QmiMessageWdsSetLteAttachPdnListOutput * | qmi_client_wds_set_lte_attach_pdn_list_finish ()

## Types and Values

| QmiMessageWdsSetLteAttachPdnListInput
| QmiMessageWdsSetLteAttachPdnListOutput

## Object Hierarchy

        GBoxed
        ├── QmiMessageWdsSetLteAttachPdnListInput
        ╰── QmiMessageWdsSetLteAttachPdnListOutput

## Description

## Functions

### qmi_message_wds_set_lte_attach_pdn_list_input_new ()

    QmiMessageWdsSetLteAttachPdnListInput *
    qmi_message_wds_set_lte_attach_pdn_list_input_new
                                   (void);

Allocates a new QmiMessageWdsSetLteAttachPdnListInput.

#### Returns

the newly created QmiMessageWdsSetLteAttachPdnListInput. The returned value should be freed with `qmi_message_wds_set_lte_attach_pdn_list_input_unref()`.

Since: 1.28

### qmi_message_wds_set_lte_attach_pdn_list_input_ref ()

    QmiMessageWdsSetLteAttachPdnListInput *
    qmi_message_wds_set_lte_attach_pdn_list_input_ref
                                   (QmiMessageWdsSetLteAttachPdnListInput *self);

Atomically increments the reference count of `self` by one.

#### Parameters

self | a QmiMessageWdsSetLteAttachPdnListInput. |

#### Returns

the new reference to `self` .

Since: 1.28

### qmi_message_wds_set_lte_attach_pdn_list_input_unref ()

    void
    qmi_message_wds_set_lte_attach_pdn_list_input_unref
                                   (QmiMessageWdsSetLteAttachPdnListInput *self);

Atomically decrements the reference count of `self` by one. If the reference count drops to 0, `self` is completely disposed.

#### Parameters

self | a QmiMessageWdsSetLteAttachPdnListInput. |

Since: 1.28

### qmi_message_wds_set_lte_attach_pdn_list_input_get_action ()

    gboolean
    qmi_message_wds_set_lte_attach_pdn_list_input_get_action
                                   (QmiMessageWdsSetLteAttachPdnListInput *self,
                                    QmiWdsAttachPdnListAction *value_action,
                                    GError **error);

Get the 'Action' field from `self` .

#### Parameters

self | a QmiMessageWdsSetLteAttachPdnListInput. |
value_action | a placeholder for the output QmiWdsAttachPdnListAction, or `NULL` if not required. | [out]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

[skip]

Since: 1.28

### qmi_message_wds_set_lte_attach_pdn_list_input_set_action ()

    gboolean
    qmi_message_wds_set_lte_attach_pdn_list_input_set_action
                                   (QmiMessageWdsSetLteAttachPdnListInput *self,
                                    QmiWdsAttachPdnListAction value_action,
                                    GError **error);

Set the 'Action' field in the message.

#### Parameters

self | a QmiMessageWdsSetLteAttachPdnListInput. |
value_action | a QmiWdsAttachPdnListAction. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if `value` was successfully set, `FALSE` otherwise.

[skip]

Since: 1.28

### qmi_message_wds_set_lte_attach_pdn_list_input_get_list ()

    gboolean
    qmi_message_wds_set_lte_attach_pdn_list_input_get_list
                                   (QmiMessageWdsSetLteAttachPdnListInput *self,
                                    GArray **value_list,
                                    GError **error);

Get the 'List' field from `self` .

#### Parameters

self | a QmiMessageWdsSetLteAttachPdnListInput. |
value_list | a placeholder for the output GArray of guint16 elements, or `NULL` if not required. Do not free it, it is owned by `self` . | [out][element-type guint16][transfer none]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

[skip]

Since: 1.28

### qmi_message_wds_set_lte_attach_pdn_list_input_set_list ()

    gboolean
    qmi_message_wds_set_lte_attach_pdn_list_input_set_list
                                   (QmiMessageWdsSetLteAttachPdnListInput *self,
                                    GArray *value_list,
                                    GError **error);

Set the 'List' field in the message.

#### Parameters

self | a QmiMessageWdsSetLteAttachPdnListInput. |
value_list | a GArray of guint16 elements. A new reference to `value_list` will be taken. | [in][element-type guint16]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if `value` was successfully set, `FALSE` otherwise.

[skip]

Since: 1.28

### qmi_message_wds_set_lte_attach_pdn_list_output_ref ()

    QmiMessageWdsSetLteAttachPdnListOutput *
    qmi_message_wds_set_lte_attach_pdn_list_output_ref
                                   (QmiMessageWdsSetLteAttachPdnListOutput *self);

Atomically increments the reference count of `self` by one.

#### Parameters

self | a QmiMessageWdsSetLteAttachPdnListOutput. |

#### Returns

the new reference to `self` .

Since: 1.28

### qmi_message_wds_set_lte_attach_pdn_list_output_unref ()

    void
    qmi_message_wds_set_lte_attach_pdn_list_output_unref
                                   (QmiMessageWdsSetLteAttachPdnListOutput *self);

Atomically decrements the reference count of `self` by one. If the reference count drops to 0, `self` is completely disposed.

#### Parameters

self | a QmiMessageWdsSetLteAttachPdnListOutput. |

Since: 1.28

### qmi_message_wds_set_lte_attach_pdn_list_output_get_result ()

    gboolean
    qmi_message_wds_set_lte_attach_pdn_list_output_get_result
                                   (QmiMessageWdsSetLteAttachPdnListOutput *self,
                                    GError **error);

Get the result of the QMI operation.

#### Parameters

self | a QmiMessageWdsSetLteAttachPdnListOutput. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the QMI operation succeeded, `FALSE` if `error` is set.

[skip]

Since: 1.28

### qmi_client_wds_set_lte_attach_pdn_list ()

    void
    qmi_client_wds_set_lte_attach_pdn_list
                                   (QmiClientWds *self,
                                    QmiMessageWdsSetLteAttachPdnListInput *input,
                                    guint timeout,
                                    GCancellable *cancellable,
                                    GAsyncReadyCallback callback,
                                    gpointer user_data);

Asynchronously sends a Set LTE Attach PDN List request to the device.

When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from.

You can then call `qmi_client_wds_set_lte_attach_pdn_list_finish()` to get the result of the operation.

#### Parameters

self | a QmiClientWds. |
input | a QmiMessageWdsSetLteAttachPdnListInput. |
timeout | maximum time to wait for the method to complete, in seconds. |
cancellable | a GCancellable or `NULL`. |
callback | a GAsyncReadyCallback to call when the request is satisfied. |
user_data | user data to pass to `callback` . |

Since: 1.28

### qmi_client_wds_set_lte_attach_pdn_list_finish ()

    QmiMessageWdsSetLteAttachPdnListOutput *
    qmi_client_wds_set_lte_attach_pdn_list_finish
                                   (QmiClientWds *self,
                                    GAsyncResult *res,
                                    GError **error);

Finishes an async operation started with `qmi_client_wds_set_lte_attach_pdn_list()`.

#### Parameters

self | a QmiClientWds. |
res | the GAsyncResult obtained from the GAsyncReadyCallback passed to `qmi_client_wds_set_lte_attach_pdn_list()`. |
error | Return location for error or `NULL`. |

#### Returns

a QmiMessageWdsSetLteAttachPdnListOutput, or `NULL` if `error` is set. The returned value should be freed with `qmi_message_wds_set_lte_attach_pdn_list_output_unref()`.

Since: 1.28

## Types and Values

### QmiMessageWdsSetLteAttachPdnListInput

    typedef struct _QmiMessageWdsSetLteAttachPdnListInput QmiMessageWdsSetLteAttachPdnListInput;

The QmiMessageWdsSetLteAttachPdnListInput structure contains private data and should only be accessed using the provided API.

Since: 1.28

### QmiMessageWdsSetLteAttachPdnListOutput

    typedef struct _QmiMessageWdsSetLteAttachPdnListOutput QmiMessageWdsSetLteAttachPdnListOutput;

The QmiMessageWdsSetLteAttachPdnListOutput structure contains private data and should only be accessed using the provided API.

Since: 1.28